summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-10-31 09:01:22 +0100
committerMichał Górny <mgorny@gentoo.org>2020-10-31 09:33:40 +0100
commit4f65d1882c605a80a7e095744c827f59e12f954a (patch)
tree24f6a15e050b0c097faaaa913181544cb3a71f24 /dev-python/tempora
parentnet-misc/miniupnpd: Bump to 2.2.0-RC3 (diff)
downloadgentoo-4f65d1882c605a80a7e095744c827f59e12f954a.tar.gz
gentoo-4f65d1882c605a80a7e095744c827f59e12f954a.tar.bz2
gentoo-4f65d1882c605a80a7e095744c827f59e12f954a.zip
dev-python/tempora: Bump to 4.0.1
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/tempora')
-rw-r--r--dev-python/tempora/Manifest1
-rw-r--r--dev-python/tempora/tempora-4.0.1.ebuild42
2 files changed, 43 insertions, 0 deletions
diff --git a/dev-python/tempora/Manifest b/dev-python/tempora/Manifest
index 0a26115a5e3..45faf134a62 100644
--- a/dev-python/tempora/Manifest
+++ b/dev-python/tempora/Manifest
@@ -1,2 +1,3 @@
DIST tempora-3.0.0.tar.gz 21500 BLAKE2B 7bf241d5ab60c78c0ea56df6b28e33504200eb5427cdffaf9d5f34da202c3ba4550fa4dcc48874ee870345fa5a10f2b874687fe7de2bbe049b1c14d05161b0e0 SHA512 2d397c1d17bb4c502817ad0278090137fb8ca00273c63a7336200ed7e621a99cd5c954cdc2da00d06eba34ed4f079429f5ddc68b928cc83feacb2335f995e1b7
DIST tempora-4.0.0.tar.gz 47217 BLAKE2B 3f8489c584768c074874fd299d11ca71b51c646f07792ac910dbd3fa76c309a866e599204364bbc06e6589a6fa046d3150bff05c9d3beb9b427ff409e2c27fe6 SHA512 59792bf03b4ccbdd5b849f0f6b9a0b5f2672e1cc3076b85449b8f183524d23de05588c3a8185550cdb9e52cc610e29db18ed151b8c5f5f25438de41015cc595e
+DIST tempora-4.0.1.tar.gz 20978 BLAKE2B 1216472a3e03fe0856f598478267647a2a9f8f6b6e28a0e48fc9f66877303da053d1a7e793b812fa8b0909b219a669cd8d82759dfd2c0793d43cc2d086993a8c SHA512 1ee954a7053db2dc0a94637453613851806cc4582f04019e303e13566a842c2710f3c364fd54d8832d4ce2a5eaac29121db9c474b407d5b92e4f8b8ff43b03df
diff --git a/dev-python/tempora/tempora-4.0.1.ebuild b/dev-python/tempora/tempora-4.0.1.ebuild
new file mode 100644
index 00000000000..7f1bf96ec05
--- /dev/null
+++ b/dev-python/tempora/tempora-4.0.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6,7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+DESCRIPTION="Objects and routines pertaining to date and time"
+HOMEPAGE="https://github.com/jaraco/tempora"
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/jaraco-functools-1.20[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pytest-freezegun[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+ ">=dev-python/jaraco-packaging-3.2" \
+ ">=dev-python/rst-linker-1.9"
+
+src_prepare() {
+ sed -i -e 's:--flake8 --black --cov --mypy::' pytest.ini || die
+ distutils-r1_src_prepare
+}